<?php

namespace App\View\Components\backoffice\widget;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class OpenModalButton extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public string $addBTN,
        public string $modalTarget,
    ) {}

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.backoffice.widget.open-modal-button');
    }
}
